#include <fstream.h>
#include<string.h>

//int len(char []);

int main()
{
	ifstream fin("ancient.in");
	ofstream fout ("ancient.out");
	
	char a[101],b[101];
	int c[27]={0},d[27]={0};
	int q[101]={0},r[101]={0};

	fin >> a;
	fin >> b;
	bool no=false;

	int l=strlen(a);
	
	for (int i=0;i<l;i++)
	{
		++c[((int)a[i]-65)];
		++d[((int)b[i]-65)];
	}
	
	int max=0;
	for (i=0;i<26;i++)
	{
		if (max<c[i]) max=c[i];
		if (max<d[i]) max=d[i];

		++q[c[i]];
		++r[d[i]];
	}

	for (i=0;i<=max;i++)
		if (q[i]!=r[i]) no=true;
	
	if (!no) fout << "YES";
	else fout << "NO";


	return 0;
}

